import { ContextItem } from '../domain/dtos/context-item';
import { Action } from '../domain/dtos/action.enum';
import { Domain } from '../domain/dtos/domain.enum';

export class DecisionQuery {
  readonly domain: Domain;
  readonly action: Action;
  readonly context: Array<ContextItem>;

  constructor(domain: Domain, action: Action, context?: Array<ContextItem>) {
    this.domain = domain;
    this.action = action;
    this.context = context;
  }
}
