import { Module } from '@nestjs/common';
import { AuthenticationRepository } from '../oldauthentication/adapters/secondaries/authentication.repository';
import { UsernameRepository } from '../oldauthentication/adapters/secondaries/username.repository';
import { PrismaService } from './adapters/secondaries/prisma-service';

@Module({
  providers: [PrismaService, AuthenticationRepository, UsernameRepository],
  exports: [PrismaService, AuthenticationRepository, UsernameRepository],
})
export class DatabaseModule {}
